qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gordon Sim (JIRA)" <j...@apache.org>
Subject [jira] [Created] (QPID-6256) try AMQP 1.0 if 0-10 not supported
Date Tue, 02 Dec 2014 16:48:12 GMT
Gordon Sim created QPID-6256:
--------------------------------

             Summary: try AMQP 1.0 if 0-10 not supported
                 Key: QPID-6256
                 URL: https://issues.apache.org/jira/browse/QPID-6256
             Project: Qpid
          Issue Type: Bug
          Components: C++ Client
    Affects Versions: 0.30
            Reporter: Gordon Sim
            Assignee: Gordon Sim


The qpid::messaging client defaults to 0-10, though the version can be explicitly specified
also. If the broker doesn't support 0-10, but does support 1.0 and assuming that 1.0 support
in the client is enabled and the application didn't explicitly request 0-10, the client should
try 1.0.

This would make interoperability easier as it wouldn't require specific connection options
to choose 1.0.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message